Subject: bug#52347: Shell: error when -m manifest is removed

From: zimoun <[email-masked]>
Date: Tue, 7 Dec 2021 11:35:33 +0100

Hi,

On Tue, 7 Dec 2021 at 11:25, Cayetano Santos
<[email-masked]> wrote:

> Is it expected to fail when I remove the ’-m manifest’ flag and I
> just run ’guix shell -C -- python3’ ?

The command "guix shell -C -- python3" fails.  It cannot work, because
the environment (new shell) is empty.  You need to provide what this
shell has to contain, via command line package list or via manifest.

Cheers,
simon